//----- Typography

//----- Font face
// @include fontFace (FontName, FontFileName, 700, italic);
@include fontFace (Halyard-Display, halyard_display_book, $fw-book, normal, woff woff2);
@include fontFace (Halyard-Display, halyard_display_regular, $fw-regular, normal, woff woff2);
@include fontFace (Halyard-Display, halyard_display_medium, $fw-medium, normal, woff woff2);
@include fontFace (Halyard-Display, halyard_display_semibold, $fw-semibold, normal, woff woff2);
@include fontFace (Halyard-Display, halyard_display_bold, $fw-bold, normal, woff woff2);

html {
	font-size: $font-size-base;
	height: 100%;
}

body {
	font-family: $ff-main;
	font-weight: $fw-regular;
	-webkit-font-smoothing: antialiased;
	height: 100%;
	color: $c-text-primary;

	::selection {
		background: $c-brand-tertiary;
	}

}

main {}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: $fw-bold;
}

p {}

a {}

button,
input,
select,
option,
textarea {
	font-family: inherit !important;
	font-size: inherit;
	-webkit-appearance: none;
	border-radius: 0;
	outline: none;
}

button {
	background-color: transparent;
	border: none;
	cursor: pointer;
	outline: none;
	-webkit-appearance: none;
}

input[type=button] {
	-webkit-appearance: none;
}

input[type=text],
input[type=email],
textarea,
select,
.v-select {
	font-size: 1.6rem;
	line-height: 2.8rem;
	width: 100%;
	color: $c-text-primary;
	border: 1px solid $c-gray-quaternary;
	padding: .5rem 1rem;

	@include placeholder {
		font-size: 1.6rem;
		line-height: 2.8rem;
		color: $c-gray-secondary;
	}
}

input[type=text],
input[type=email],
select,
.v-select {
	height: 5rem;

	@include breakpoint(overPhone) {
		height: 4.1rem;
	}
}

textarea {
	resize: none;
	height: 15rem;

	@include breakpoint(overPhone) {
		height: 12.6rem;
	}
}

select {
	cursor: pointer;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
	border: 1px solid $c-gray-quaternary;
	-webkit-text-fill-color: $c-text-primary;
	-webkit-box-shadow: 0 0 0px 1000px #fff inset;
	transition: background-color 5000s ease-in-out 0s;
}

.v-select {
	&.vs--searchable {

		.vs__selected-options {
			display: flex;
			flex-wrap: nowrap;
			input {
				width: 100%;
			}
		}

		.vs__dropdown-toggle,
		.vs__selected-options,
		input {
			cursor: pointer;
			height: 100%;
		}
		input,
		.vs__selected {
			font-size: 1.6rem;
			line-height: 2.8rem;

			@include placeholder {
				font-size: 1.6rem;
				line-height: 2.8rem;
				color: $c-gray-secondary;
			}
		}

		.vs__dropdown-toggle,
		input,
		.vs__selected-options,
		.vs__selected {
			border: none;
			padding: 0;
			margin: 0;
		}

		.vs__selected {
			color: $c-text-primary;
		}

		.vs__dropdown-menu {
			padding: 0;
			top: 100%;
			border: 1px solid $c-gray-quaternary;
			border-radius: 0;
			width: 100%;
		    min-width: auto;

			li {
				font-size: 1.6rem;
				line-height: 2.8rem;
				padding: .5rem 1rem;
				background-color: transparent;
				color: $c-text-primary;
				transition: .3s;
				border-bottom: 1px solid $c-gray-quaternary;
				&:hover {
					background-color: $c-brand-tertiary;
					color: $c-white;
				}
			}
		}

		.vs__selected {
			@include absolute(center-vertical);
		}
	}

	.vs__clear {
		display: none;
	}

	.vs__actions {
		padding: 0;
	}

	.vs__open-indicator {
		fill: $c-gray-secondary;
	}
}

.c-form-section {
	border-bottom: 1px solid $c-gray-secondary;
	padding-bottom: 4rem;
	margin-bottom: 4rem;
}

.c-button-wrapper {
	display: flex;
	margin-top: 3rem;
	margin-bottom: 2rem;

	@include breakpoint(phone) {
		flex-direction: column;
	}

	@include breakpoint(overPhone) {
		justify-content: flex-end;
	}
}

.b-response {
	padding-top: 7rem;
	padding-bottom: 7rem;

	&--success {
		.icon {
			color: $c-success;
		}
	}

	&--error {
		.icon {
			color: $c-error;
		}
	}

	&__body {
		text-align: center;

		@include breakpoint(overPhone) {
			@include center-block;
			max-width: 54rem;
		}

		.icon {
			display: block;
			font-size: 3rem;
			margin-bottom: 3rem;

			@include breakpoint(overPhone) {
				margin-bottom: 5rem;
			}
		}

		.c-link {
			margin: 0 auto;
		}
	}

	&__title {
		font-size: 3rem;
		line-height: 3.4rem;
		margin-bottom: 3rem;
		padding: 0 2rem;

		@include breakpoint(overPhone) {
			margin-bottom: 5rem;
		}
	}

	&__description {
		font-size: 2.1rem;
		line-height: 3.3rem;
		margin-bottom: 5rem;

		@include breakpoint(overPhone) {
			margin-bottom: 7.5rem;
		}

		a,
		button {
			color: $c-brand-secondary;
		}
	}
}

.c-preview-box {
	background: $c-gray-tertiary;
	border: 1px solid $c-gray-quaternary !important;
	padding: 3rem 2.7rem !important;
	margin-bottom: 3rem !important;

	.c-form-control {
		margin-bottom: 3rem;
		&:last-of-type {
			margin-bottom: 0;
		}
	}
}

.preview-text {
	margin-bottom: 0;
}

.c-role-required-desired {
	&__heading-note {
		&.c-preview-box {
			margin-bottom: 6rem !important;
		}
		p {
			&:last-of-type {
				margin-bottom: 0;
			}
		}
	}

	&__section {
		margin-bottom: 6rem;
	}

	&__list {
		position: relative;
		margin: 4rem 0;
		@include breakpoint(overPhone) {
			padding: 0 5rem;
		}

		.textarea-wrapper {
			padding: 0;
		}

		.c-error {
			&.min-row {
				position: absolute;
				top: -2rem;
				right: 0;

				@include breakpoint(overPhone) {
					right: 5rem;
				}
			}
		}

		.c-preview-box {
			padding-bottom: 1.5rem !important;
			.preview-text,
			.c-form-control__header {
				margin-bottom: 1.5rem;
			}
		}
	}
}
.c-role-select-wrapper {
	display: flex;
	@include breakpoint(phone) {
		justify-content: space-between;
	}
	.c-form-control {
		width: 88%;
	}
	.c-remove {
		align-self: flex-start;
		margin: 4rem 0 0 1.5rem;

		@include breakpoint(overPhone) {
			margin-top: 3.5rem;
		}
		.icon {
			margin: 0;
		}
	}
}
